Skip to main content
POST
/
agents
/
{agentId}
/
shared-files
Upload Agent Shared Files
curl --request POST \
  --url https://odyssey.asteroid.ai/agents/v2/agents/{agentId}/shared-files \
  --header 'Content-Type: multipart/form-data' \
  --header 'X-Asteroid-Agents-Api-Key: <api-key>' \
  --form 'files=<string>' \
  --form files.items='@example-file'
{
  "files": [
    {
      "agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2023-11-07T05:31:56Z",
      "downloadUrl": "<string>",
      "fileName": "<string>",
      "filePath": "<string>",
      "fileSize": 123,
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "isFrozen": true,
      "updatedAt": "2023-11-07T05:31:56Z",
      "version": 123,
      "lastModifiedByExecutionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "mimeType": "<string>"
    }
  ]
}

Authorizations

X-Asteroid-Agents-Api-Key
string
header
required

Path Parameters

agentId
string<uuid>
required

Body

multipart/form-data
files
file[]
required

Response

The request has succeeded.

Response after uploading shared files

files
object[]
required